Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jserv
Class JServConnection.JServOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--javax.servlet.ServletOutputStream
                  |
                  +--org.apache.jserv.JServConnection.JServOutputStream

class JServConnection.JServOutputStream
extends javax.servlet.ServletOutputStream

ServletOutputStream implementation as inner class

Field Summary
`protected java.io.InputStream` | `in`
`protected java.io.OutputStream` | `out`

Constructor Summary
`JServConnection.JServOutputStream(java.io.OutputStream out, java.io.InputStream in)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### out

    protected java.io.OutputStream out

### in

    protected java.io.InputStream in

Constructor Detail

### JServConnection.JServOutputStream

    public JServConnection.JServOutputStream(java.io.OutputStream out,
                                             java.io.InputStream in)

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Overrides:
    write in class java.io.OutputStream

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    write in class java.io.OutputStream

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class java.io.OutputStream

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class java.io.OutputStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD